Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDomainPropertyBundleDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.ApplicationObjectDefinition

                        |

                        +--oracle.ifs.beans.PropertyBundleDefinition

                              |

                              +--oracle.ifs.beans.ValueDomainPropertyBundleDefinition

public class ValueDomainPropertyBundleDefinition
extends PropertyBundleDefinition

A ValueDomainPropertyBundleDefinition is a template for creating a new ValueDomainPropertyBundle.

Constructor Summary
`ValueDomainPropertyBundleDefinition(LibrarySession session)` Constructs a ValueDomainPropertyBundleDefinition.

Method Summary
`AttributeValue` | `getPropertyValue()` Gets the values allowed for the new ValueDomainPropertyBundle, as an array-type AttributeValue.
`void` | `setEnumeratedValues(java.util.Date[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(DirectoryObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(int[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Integer[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(long[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Long[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(PublicObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SchemaObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.String[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SystemObject[] values)` Sets the allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.util.Date maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(double maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Double maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(int maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Integer maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(long maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Long maximum)` Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.util.Date minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(double minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Double minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(int minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Integer minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(long minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Long minimum)` Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(double minimum, double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(int minimum, int maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(long minimum, long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.util.Date maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(double maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Double maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(int maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Integer maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(long maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Long maximum)` Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.util.Date minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(double minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Double minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(int minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Integer minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(long minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Long minimum)` Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(double minimum, double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(int minimum, int maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(long minimum, long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

Methods inherited from class oracle.ifs.beans.PropertyBundleDefinition
`addPropertyDefinition, addPropertyValue, addPropertyValue, getPropertyDefinitions, resetPropertyDefinitions`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### ValueDomainPropertyBundleDefinition

    public ValueDomainPropertyBundleDefinition(LibrarySession session)
                                        throws IfsException

  Constructs a ValueDomainPropertyBundleDefinition.

  Use this variant if you wish to invoke `getAttribute` methods on this ValueDomainPropertyBundleDefinition.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setEnumeratedValues

    public final void setEnumeratedValues(int[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Integer[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(long[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Long[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.String[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `STRING` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.util.Date[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(SchemaObject[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `SCHEMAOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(SystemObject[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `SYSTEMOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(PublicObject[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `PUBLICOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(DirectoryObject[] values)
                                   throws IfsException

  Sets the allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DIRECTORYOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(int minimum,
                                    int maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.lang.Integer minimum,
                                    java.lang.Integer maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(long minimum,
                                    long maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.lang.Long minimum,
                                    java.lang.Long maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(double minimum,
                                    double maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.lang.Double minimum,
                                    java.lang.Double maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.util.Date minimum,
                                    java.util.Date maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(int minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.lang.Integer minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(long minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.lang.Long minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(double minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.lang.Double minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.util.Date minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(int maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.lang.Integer maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(long maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.lang.Long maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(double maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.lang.Double maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.util.Date maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(int minimum,
                                             int maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Integer minimum,
                                             java.lang.Integer maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(long minimum,
                                             long maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Long minimum,
                                             java.lang.Long maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(double minimum,
                                             double maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Double minimum,
                                             java.lang.Double maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.util.Date minimum,
                                             java.util.Date maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(int minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Integer minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(long minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Long minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(double minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Double minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.util.Date minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(int maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Integer maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(long maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Long maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(double maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Double maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.util.Date maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for the new ValueDomainPropertyBundle.

  The new ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### getPropertyValue

    public AttributeValue getPropertyValue()
                                    throws IfsException

  Gets the values allowed for the new ValueDomainPropertyBundle, as an array-type AttributeValue.

  The number of elements in the array-type AttributeValue depends on the domain type of the new ValueDomainPropertyBundle:

  - `VALUEDOMAINTYPE_ENUMERATED`: one element for each allowed value
  - `VALUEDOMAINTYPE_RANGE` or `VALUEDOMAINTYPE_ENUMERATED_RANGE`: two elements; [0] is the minimum and [1] is the maximum value
  - `VALUEDOMAINTYPE_MINIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MINIMUM`: one element; [0] is the minimum value
  - `VALUEDOMAINTYPE_MAXIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MAXIMUM`: one element; [0] is the maximum value
  Returns:
    the values
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD